commit:     35396426612ab9d39d5e20a7dee19136e95a6ced
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 15:42:14 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 27 15:59:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35396426

dev-python/python-box: Bump to 7.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-box/Manifest                |  1 +
 dev-python/python-box/python-box-7.1.1.ebuild | 45 +++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/python-box/Manifest b/dev-python/python-box/Manifest
index bd51dd84edc3..fe800b65b7b7 100644
--- a/dev-python/python-box/Manifest
+++ b/dev-python/python-box/Manifest
@@ -1 +1,2 @@
 DIST Box-7.0.1.gh.tar.gz 86746 BLAKE2B 
33288c89d1b285d1c04ebb00d56a26d451f7b22eefbcef12219108975aa610054af67f69153436033a183c7b26cf216649ddc75b4354f2ff4f02f2a6fc2903bd
 SHA512 
fe08fbca79fa02e53bc4208387162e49917f302e1595d924d4290d690092a9f7fae3f0cac66de1fd48ef16e627c4fbc2b2babed52b04381b24dab9b083040cf7
+DIST Box-7.1.1.gh.tar.gz 87515 BLAKE2B 
388944c3a577105ce1e12e9abff7da148d028db88d8070a09e6abe190882acdbfa4cf9d773af6cbae7e945603dc13d3d853253dc18b0d2d2b17c678293583b8a
 SHA512 
60e44eda013a5ab1de2215d156caf2567a24b0471ee20e52096137ad761e92c3ca20d9f3967a21e38ac924488a2b76399c4ea1bc86b652dd72d7494ce22effee

diff --git a/dev-python/python-box/python-box-7.1.1.ebuild 
b/dev-python/python-box/python-box-7.1.1.ebuild
new file mode 100644
index 000000000000..914dd520974a
--- /dev/null
+++ b/dev-python/python-box/python-box-7.1.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=Box-${PV}
+DESCRIPTION="Python dictionaries with advanced dot notation access"
+HOMEPAGE="
+       https://github.com/cdgriffith/Box/
+       https://pypi.org/project/python-box/
+"
+SRC_URI="
+       https://github.com/cdgriffith/Box/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/msgpack[${PYTHON_USEDEP}]
+       dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/tomli[${PYTHON_USEDEP}]
+       ' 3.8 3.9 3.10)
+       dev-python/tomli-w[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       rm -rf box || die
+       epytest
+}

Reply via email to